Subject: [bug#78230] [PATCH] services: plasma-dbus-service: Fix kded not being started.

From: Sughosha <[email-masked]>
Date: Sun, 04 May 2025 16:36:47 +0530

On Sunday, May 4, 2025 4:24:17 PM GMT+5:30 Sughosha wrote:
> On Saturday, May 3, 2025 7:56:16 PM GMT+5:30 Sergio Pastor Pérez wrote:
> > `kded' is a daemon responsible for many features of the Plasma desktop, it
> > provides media keys handling, a system tray, 'Background Services' control
> > through 'kcmshell6 kcm_kded'...
> > 
> > * gnu/packages/kde-plasma.scm (plasma): Add `kded' to propagated inputs.
> > 
> > * gnu/packages/kde-plasma.scm (plasma-dbus-service): Add `kded' to the
> > list
> > of services passed to `dbus-configuration'.
> > 
> > Change-Id: Ifffdaecdb28a6369727ab8d118a775d73ee342e9
> > ---
> > 
> >  gnu/packages/kde-plasma.scm | 1 +
> >  gnu/services/desktop.scm    | 1 +
> >  2 files changed, 2 insertions(+)
> > 
> > diff --git a/gnu/packages/kde-plasma.scm b/gnu/packages/kde-plasma.scm
> > index efaae01aa9..8991dcf974 100644
> > --- a/gnu/packages/kde-plasma.scm
> > +++ b/gnu/packages/kde-plasma.scm
> > @@ -1717,6 +1717,7 @@ (define-public plasma
> > 
> >                               kde-cli-tools
> >                               kdecoration
> >                               kde-gtk-config
> > 
> > +                             kded
> > 
> >                               kdeplasma-addons
> >                               kglobalaccel
> >                               kglobalacceld
> > 
> > diff --git a/gnu/services/desktop.scm b/gnu/services/desktop.scm
> > index 2127c2d389..fade9e0e14 100644
> > --- a/gnu/services/desktop.scm
> > +++ b/gnu/services/desktop.scm
> > @@ -2255,6 +2255,7 @@ (define (plasma-dbus-service config)
> > 
> >             "kwalletmanager"
> >             "powerdevil"
> >             "bluedevil"
> > 
> > +           "kded"
> > 
> >             "kwallet"
> >             "plasma-firewall"))))
> > 
> > base-commit: 12467f2c91e7f9ec70239229f8186a93193a9185
> 
> plasma-dbus-service should contain packages with dbus "system-services".
> Unless a package contains "share/dbus-1/system-services" directory, adding
> it here is unnecessary. "kded" is already present in the propagated inputs
> of "plasma" package. So as of my knowledge this commit is useless. Even
> before this commit, media keys handling, system tray and background service
> control through "kcmshell6 kcm_kded" is working for me (I have not yet
> reconfigured guix with this commit). You might have missed something else
> in your system profile. Did this commit made any difference to you?

Sorry, I made a mistake, I had "kded" added in my systetm profile configuration. 
But  adding "kded" to propagated inputs of "plasma" package would have been 
enough. Adding it to "plasma-dbus-service" was only unnecessary.

-- 
Sughosha